%define name gdesklets
%define version 0.34.3
%define release 1mdk
%define oname gDesklets

Summary: GNOME Desktop Applets
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.pycage.de/download/gdesklets/%oname-%{version}.tar.bz2
Source1: %name-32.png
Source2: %name-16.png
Patch: gDesklets-0.34.1-no-mime-update.patch.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://gdesklets.gnomedesktop.org/
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python
BuildRequires: pyorbit-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libgtop2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: librsvg-devel
BuildRequires: swig
BuildRequires:	shared-mime-info
BuildRequires:  perl-XML-Parser
BuildRequires:  automake1.7
BuildRequires:  intltool
PreReq:		shared-mime-info
Requires: gnome-python gnome-python-gconf gnome-python-gtkhtml2
Requires: gnome-python-gnomevfs
Requires: gdesklets-display
Obsoletes: gdesklets-starter-kit gdesklets-externalsensor
Provides: gdesklets-externalsensor

%description
'gDesklets' provides an advanced architecture for desktop applets -
tiny displays sitting on your desktop in a symbiotic relationship of
eye candy and usefulness.

Populate your desktop with status meters, icon bars, weather sensors,
news tickers... whatever you can imagine! Virtually anything is
possible and maybe even available some day.

%prep
%setup -q -n %oname-%version
perl -pi -e 's/migration-tool/gdesklets-migration-tool/g' README doc/man/gdesklets.1
%patch -p1 -b .no-mime
#needed by patch 0
aclocal-1.7
autoconf
automake-1.7 -a -c

%build
%define __libtoolize true
export CPPFLAGS=-I%_includedir/python%pyver
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
mkdir -p %buildroot%_datadir/gdesklets/Displays

install -m755 gdesklets-migration-tool $RPM_BUILD_ROOT%{_bindir}/
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="gdesklets shell" \
		icon=%{name}.png \
		needs="x11" \
		section="Applications/Monitoring" \
		title="Gdesklets"\
		startup_notify="yes"\
		longtitle="Put applets on your GNOME desktop"
EOF

install -d %buildroot%_liconsdir
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir
install -D %SOURCE1 %buildroot%_iconsdir/%name.png
install -D %SOURCE2 %buildroot%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gdesklets-display-thumbnail.schemas > /dev/null
%{update_menus}
update-mime-database %_datadir/mime/ > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gdesklets-display-thumbnail.schemas > /dev/null
fi

%postun
%clean_menus
update-mime-database %_datadir/mime/ > /dev/null

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog  COPYING  INSTALL  NEWS  README  TODO
%_sysconfdir/gconf/schemas/gdesklets-display-thumbnail.schemas
%_bindir/%name
%_bindir/gdesklets-display-thumbnailer
%_bindir/gdesklets-migration-tool
%_libdir/%name
%_datadir/applications/gdesklets.desktop
%dir %_datadir/gdesklets/
%_datadir/gdesklets/Displays
%_datadir/mime/packages/*
%_datadir/pixmaps/gdesklets.png
%_datadir/icons/gnome/48x48/mimetypes/gnome-mime-application-x-gdesklets-display.png
%_mandir/man1/gdesklets.1*
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Mar 29 2005 Götz Waschk <waschk@linux-mandrake.com> 0.34.3-1mdk
- New release 0.34.3

* Sun Mar 20 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.34.2-1mdk 
- Release 0.34.1

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.34.1-1mdk
- update buildrequires
- drop patch 1
- rediff patch 0
- New release 0.34.1

* Sat Jan 22 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.33.1-1mdk
- New release 0.33.1

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33-2mdk 
- rebuild with latest howl
- Fix dependencies

* Mon Jan  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.33-1mdk
- update file list
- New release 0.33

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.32-1mdk
- add new files
- rediff patch 1
- New release 0.32

* Sun Nov 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31.1-3mdk
- fix buildrequires

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31.1-2mdk
- provides libutils.so to make it installable

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31.1-1mdk
- disable libtoolize
- New release 0.31.1

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-7mdk
- fix deps

* Wed Aug 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-6mdk
- fix patch 1

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-5mdk
- try to fix problem with no display working

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-4mdk
- really fix migration tool renaming

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-3mdk
- rename migration-tool in the man page too
- fix menu

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30-2mdk
- add migration-tool to package (renamed to gdesklets-migration-tool, its
  original name is too broad)

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-1mdk
- fix file list
- rediff patch
- new version

* Wed Aug  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-0.pre.2mdk
- fix buildrequires

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-0.pre.1mdk
- add shared mime database handling
- fix buildrequires
- reeenable libtoolize
- new version

* Sat May  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.26.2-1mdk
- New release 0.26.2

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26.1-3mdk
- fix buildrequires

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26.1-2mdk
- rebuild for new libgtop

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26.1-1mdk
- new version

* Sun Feb 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26-2mdk
- fix buildrequires

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26-1mdk
- automatically generate the locale file list
- new version

* Sat Jan 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.25.1-2mdk
- don't libtoolize

* Wed Jan  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.25.1-1mdk
- adapt file list
- new version

* Wed Nov 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24.1-2mdk
- fix url

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24.1-1mdk
- new version

* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24-1mdk
- add new translations
- needs libgtop2  
- new version

* Tue Oct 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23-2mdk
- fix buildrequires

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23-1mdk
- add thumbnailer
- add new translations
- new version

* Tue Sep 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- add new translation file
- new version

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-1mdk
- new version

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.1-1mdk
- new version 

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21-2mdk
- fix buildrequires

* Thu Sep 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- obsolete gdesklets-externalsensor
- add missing files
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.20-1mdk
- add new files
- drop the patch, it's not needed anymore 
- new version

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-3mdk
- try to fix the changelog

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- obsolete gdesklets-starter-kit
- arrgh, fix the patch

* Mon Aug 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- add missing files
- put back the icon patch
- new version

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-3mdk
- fix icon in the mime type

* Sat Aug 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- requires virtual package gdesklets-sensor
- add Displays and Sensors dirs to the package
- add a menu entry

* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- initial package

